org.jboss.netty.logging

## Interface InternalLogger

- All Known Implementing Classes:
    AbstractInternalLogger

      public interface InternalLogger

  Internal-use-only logger used by Netty. DO NOT access this class outside of Netty.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(String msg)` Logs a DEBUG level message.
    `void` | `debug(String msg, Throwable cause)` Logs a DEBUG level message.
    `void` | `error(String msg)` Logs an ERROR level message.
    `void` | `error(String msg, Throwable cause)` Logs an ERROR level message.
    `void` | `info(String msg)` Logs an INFO level message.
    `void` | `info(String msg, Throwable cause)` Logs an INFO level message.
    `boolean` | `isDebugEnabled()` Returns `true` if a DEBUG level message is logged.
    `boolean` | `isEnabled(InternalLogLevel level)` Returns `true` if the specified log level message is logged.
    `boolean` | `isErrorEnabled()` Returns `true` if an ERROR level message is logged.
    `boolean` | `isInfoEnabled()` Returns `true` if an INFO level message is logged.
    `boolean` | `isWarnEnabled()` Returns `true` if a WARN level message is logged.
    `void` | `log(InternalLogLevel level, String msg)` Logs a message.
    `void` | `log(InternalLogLevel level, String msg, Throwable cause)` Logs a message.
    `void` | `warn(String msg)` Logs a WARN level message.
    `void` | `warn(String msg, Throwable cause)` Logs a WARN level message.

- - ### Method Detail

    - #### isDebugEnabled

          boolean isDebugEnabled()

      Returns `true` if a DEBUG level message is logged.

    - #### isInfoEnabled

          boolean isInfoEnabled()

      Returns `true` if an INFO level message is logged.

    - #### isWarnEnabled

          boolean isWarnEnabled()

      Returns `true` if a WARN level message is logged.

    - #### isErrorEnabled

          boolean isErrorEnabled()

      Returns `true` if an ERROR level message is logged.

    - #### isEnabled

          boolean isEnabled(InternalLogLevel level)

      Returns `true` if the specified log level message is logged.

    - #### debug

          void debug(String msg)

      Logs a DEBUG level message.

    - #### debug

          void debug(String msg,
                   Throwable cause)

      Logs a DEBUG level message.

    - #### info

          void info(String msg)

      Logs an INFO level message.

    - #### info

          void info(String msg,
                  Throwable cause)

      Logs an INFO level message.

    - #### warn

          void warn(String msg)

      Logs a WARN level message.

    - #### warn

          void warn(String msg,
                  Throwable cause)

      Logs a WARN level message.

    - #### error

          void error(String msg)

      Logs an ERROR level message.

    - #### error

          void error(String msg,
                   Throwable cause)

      Logs an ERROR level message.

    - #### log

          void log(InternalLogLevel level,
                 String msg)

      Logs a message.

    - #### log

          void log(InternalLogLevel level,
                 String msg,
                 Throwable cause)

      Logs a message.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.